%define fname	httplib2

Name:		python-httplib2
Summary:	Python HTTP library module
Version:	0.7.7
Release:	%mkrel 3
Source0:	http://httplib2.googlecode.com/files/%{fname}-%{version}.tar.gz
Patch0:		httplib2-use-system-certs.patch
Patch1:		httplib2-ssl-hostname.patch
URL:		http://code.google.com/p/httplib2
Group:		System/Libraries
License:	MIT
BuildArch:	noarch
BuildRequires:	python

%description
A comprehensive HTTP client library that supports many features left
out of other HTTP libraries.

%package -n python3-httplib2
Summary:	Python 3 HTTP library module
Group:		System/Libraries
BuildRequires:	python3

%description -n python3-httplib2
A comprehensive HTTP client library that supports many features left
out of other HTTP libraries.

%prep
%setup -q -c
mv httplib2-%{version} python2
pushd python2
%patch0 -p0 -b .certfile
%patch1 -p1 -b .ssl-hostname
popd
cp -r python2 python3

%build
pushd python2
python setup.py build
popd

pushd python3
python3 setup.py build
popd

%install
rm -rf %{buildroot}

pushd python2
python setup.py install --root=%{buildroot} --compile --optimize=2
popd

pushd python3
python3 setup.py install --root=%{buildroot} --compile --optimize=2
popd

%files
%doc python2/README
%{py_puresitedir}/%{fname}
%{py_puresitedir}/%{fname}-%{version}-py%{pyver}.egg-info

%files -n python3-httplib2
%doc python3/README
%{py3_puresitedir}/%{fname}
%{py3_puresitedir}/%{fname}-%{version}-py%{py3ver}.egg-info


%changelog

* Fri May 10 2013 luigiwalser <luigiwalser> 0.7.7-3.mga3
+ Revision: 412877
- add upstream patch to fix CVE-2013-2037

* Sun Jan 13 2013 umeabot <umeabot> 0.7.7-2.mga3
+ Revision: 378977
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 philippem <philippem> 0.7.7-1.mga3
+ Revision: 325421
- update to 0.7.7

* Sat Sep 29 2012 fwang <fwang> 0.7.6-2.mga3
+ Revision: 300326
- rebuild for new python3.3

* Sun Sep 23 2012 philippem <philippem> 0.7.6-1.mga3
+ Revision: 296887
- update to 0.7.6

* Thu Jul 05 2012 philippem <philippem> 0.7.4-2.mga3
+ Revision: 268293
- Fix #6568 use system-wide cacerts

* Mon Mar 05 2012 philippem <philippem> 0.7.4-1.mga2
+ Revision: 218511
- Update to 0.7.4.

* Thu Mar 01 2012 guillomovitch <guillomovitch> 0.7.2-2.mga2
+ Revision: 216361
- build for python3 too

* Fri Nov 18 2011 philippem <philippem> 0.7.2-1.mga2
+ Revision: 168672
- Update to 0.7.2

* Mon Jun 20 2011 kharec <kharec> 0.7.1-1.mga2
+ Revision: 110294
- new version 0.7.1

* Thu Feb 17 2011 wally <wally> 0.6.0-3.mga1
+ Revision: 53114
- clean .spec
- remove old py_requires macro
- remove buildroot definition
- imported package python-httplib2


* Sat Oct 30 2010 Michael Scherer <misc@mandriva.org> 0.6.0-2mdv2011.0
+ Revision: 590615
- rebuild for python 2.7

* Fri Jan 08 2010 Emmanuel Andry <eandry@mandriva.org> 0.6.0-1mdv2010.1
+ Revision: 487795
- New version 0.6.0

* Sat Jan 03 2009 Funda Wang <fwang@mandriva.org> 0.4.0-3mdv2009.1
+ Revision: 323729
- rebuild

* Thu Mar 13 2008 Adam Williamson <awilliamson@mandriva.org> 0.4.0-2mdv2008.1
+ Revision: 187368
- requires python

* Wed Mar 12 2008 Adam Williamson <awilliamson@mandriva.org> 0.4.0-1mdv2008.1
+ Revision: 186995
- import python-httplib2


